SND_CTL_ACTIVATE_ID(9)

NAME
snd_ctl_activate_id - activate/inactivate the control of the given id

SYNOPSIS

int snd_ctl_activate_id(struct snd_card * card, struct snd_ctl_elem_id * id, int active);

ARGUMENTS

card
    the card instance

id
    the control id to activate/inactivate

active
    non-zero to activate

DESCRIPTION

Finds the control instance with the given id, and activate or inactivate the control together with notification, if changed.

RETURN

0 if unchanged, 1 if changed, or a negative error code on failure.

COPYRIGHT